.\" $TOG: xlsviuals.man
.\" Copyright 1988, 1989, 1994, 1998  The Open Group
.\" 
.\" All Rights Reserved.
.\" 
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\" 
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE OPEN GROUP BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\" 
.\" Except as contained in this notice, the name of The Open Group shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from The Open Group.
.TH XLSVISUALS 1 "Release 6.4" "X Version 11"
.SH NAME
xlsvisuals \- display visual information utility for X
.SH SYNOPSIS
.B "xlsvisuals"
[\-display \fIdisplayname\fP]
[\-depth \fIdepth\fP]
[\-cc \fIclass\fP]
[\-default]
.SH DESCRIPTION
.PP
.I Xlsvisuals
is a simple utility for displaying information about the visuals
available on an X server.
.PP
By default, information about available depths and colourmaps is shown,
followed by a list of visuals, showing their ID, class, and depth.
.PP
If the \fB\-depth\fP option is used, only visuals of that depth are
shown.
.PP
If the \fB\-cc\fP option is used, only visuals of the matching class
are shown.
.PP
If the \fB\-default\fB option is used, only the default visual is
shown.
.PP
If the above options are used, the general information is not
shown. Only one option is valid, if multiple options are given the
results are undefined.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
To get the default host, display number, and screen.
.SH "SEE ALSO"
X(1), xwininfo(1), xdpyinfo(1), xprop(1), xrdb(1)
.SH AUTHOR
Peter Tribble, MRC RFCGR
